OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESBasic

# IGESBasic_ExternalRefFileIndex Class Reference

defines ExternalRefFileIndex, Type <402> Form <12>
in package IGESBasic
Contains a list of the symbolic names used by the
referencing files and the DE pointers to the
corresponding definitions within the referenced file

`#include <IGESBasic_ExternalRefFileIndex.hxx>`

Inheritance diagram for IGESBasic_ExternalRefFileIndex:

[legend]

## Public Member Functions
Standard_EXPORT | IGESBasic_ExternalRefFileIndex ()
Standard_EXPORT void | Init (const Handle(Interface_HArray1OfHAsciiString)&aNameArray, const Handle(IGESData_HArray1OfIGESEntity)&allEntities)
| This method is used to set the fields of the class ExternalRefFileIndex - aNameArray : External Reference Entity symbolic names - allEntities : External Reference Entities raises exception if array lengths are not equal if size of aNameArray is not equal to size of allEntities .
Standard_EXPORT Standard_Integer | NbEntries () const
| returns number of index entries
Standard_EXPORT Handle_TCollection_HAsciiString | Name (const Standard_Integer Index) const
| returns the External Reference Entity symbolic name raises exception if Index <= 0 or Index > NbEntries()
Standard_EXPORT Handle_IGESData_IGESEntity | Entity (const Standard_Integer Index) const
| returns the internal entity raises exception if Index <= 0 or Index > NbEntries()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_Interface_HArray1OfHAsciiString | theNames
Handle_IGESData_HArray1OfIGESEntity | theEntities

## Constructor & Destructor Documentation

Standard_EXPORT IGESBasic_ExternalRefFileIndex::IGESBasic_ExternalRefFileIndex | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESEntity IGESBasic_ExternalRefFileIndex::Entity | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT const IGESBasic_ExternalRefFileIndex::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESBasic_ExternalRefFileIndex::Init | ( | const Handle(Interface_HArray1OfHAsciiString)& | aNameArray,
|  | const Handle(IGESData_HArray1OfIGESEntity)& | allEntities
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString IGESBasic_ExternalRefFileIndex::Name | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESBasic_ExternalRefFileIndex::NbEntries | ( |  | ) | const

## Field Documentation

Handle_IGESData_HArray1OfIGESEntity IGESBasic_ExternalRefFileIndex::theEntities`[private]`

Handle_Interface_HArray1OfHAsciiString IGESBasic_ExternalRefFileIndex::theNames`[private]`

The documentation for this class was generated from the following file:

- IGESBasic_ExternalRefFileIndex.hxx